<?php
session_start();
include($_SERVER["DOCUMENT_ROOT"]."/Site/checkuser.php"); 
// Aufbau der Datenbankverbindung 
include($_SERVER["DOCUMENT_ROOT"]."/Config/_dbconfig_.php");
@$y = mysql_connect($MYSQL_HOST,$MYSQL_USER,$MYSQL_PASS);
@$x = mysql_select_db($MYSQL_DATABASE);
if (empty($x)) 
{ 
  die ("Could not connect to database!"); 
} 

// Definition der Benutzer 
$benutzer["id"]       = mysql_real_escape_string($_REQUEST["id"]);
$benutzer["Nickname"] = mysql_real_escape_string($_REQUEST["nickname"]); 
$benutzer["Kennwort"] = mysql_real_escape_string($_REQUEST["pwd"]); 
$benutzer["Nachname"] = mysql_real_escape_string($_REQUEST["nachname"]); 
$benutzer["Vorname"]  = mysql_real_escape_string($_REQUEST["vorname"]); 
$benutzer["Avatar"]  = mysql_real_escape_string($_REQUEST["avatar"]);
$benutzer["NovLogin"]  = mysql_real_escape_string($_REQUEST["novlogin"]);
$benutzer["NovPass"]  = mysql_real_escape_string($_REQUEST["novpass"]);
$moduleurl  = $_REQUEST["path"];

if($_SESSION["user_id"] != $benutzer["id"]) 
	die("Security alert! Admin has been informed!");

// Sie können an dieser Stelle beliebig viele Benutzer anlegen. 
// Achten Sie dabei nur auf die Fortführung der Nummer. 

// Daten eintragen 
// SQL-Anweisung erstellen 
$strcount = 0;

$sql = "UPDATE userdata SET ";
        if($benutzer["Kennwort"] != "") 
        {
            if($strcount == 1)
            {
                $sql = $sql . ",";
            }
            $sql = $sql . "Kennwort='". md5 ($benutzer["Kennwort"])."' ";
            $strcount = 1;
        }
        if($benutzer["Nachname"] != "") 
        {
            if($strcount==1)
            {
                $sql = $sql . ",";
            }
            $sql = $sql . "Nachname='".      $benutzer["Nachname"]."' "; 
            $strcount = 1;
        }
        if($benutzer["Vorname"] != "")  
        {
            if($strcount==1)
            {
                $sql = $sql . ",";
            }
            $sql = $sql . "Vorname='".       $benutzer["Vorname"]."' ";
            $strcount = 1;
        }
        if($benutzer["Avatar"] != "")  
        {
            if($strcount==1)
            {
                $sql = $sql . ",";
            }
            $sql = $sql . "Avatar='".       $benutzer["Avatar"]."' ";
            $strcount = 1;
        }
		if($benutzer["NovLogin"] != "")  
        {
            if($strcount==1)
            {
                $sql = $sql . ",";
            }
            $sql = $sql . "NovLogin='".       $benutzer["NovLogin"]."' ";
            $strcount = 1;
        }
		if($benutzer["NovPass"] != "")  
        {
            if($strcount==1)
            {
                $sql = $sql . ",";
            }
            $sql = $sql . "NovPass='".       $benutzer["NovPass"]."' ";
            $strcount = 1;
        }
        $sql = $sql . "WHERE id = '" . $benutzer["id"]."'"; 
//echo $sql;
mysql_query ($sql); 
$sql = "SELECT ". 
    "Id, VPNId, IsAdmin, Nickname, Nachname, Vorname, Email, Avatar, NovLogin, NovPass ". 
  "FROM ". 
    "userdata ". 
  "WHERE ". 
    "id = '" . $benutzer["id"]."'";

//echo $sql;
$result = mysql_query ($sql); 

if (mysql_num_rows ($result) > 0) 
{ 
  // Benutzerdaten in ein Array auslesen. 
  $data = mysql_fetch_array ($result); 

  // Sessionvariablen erstellen und registrieren 
  $_SESSION["user_id"] = $data["Id"]; 
  $_SESSION["user_vpnid"] = $data["VPNId"];
  $_SESSION["user_admin"] = $data["IsAdmin"]; 
  $_SESSION["user_nickname"] = $data["Nickname"]; 
  $_SESSION["user_nachname"] = $data["Nachname"]; 
  $_SESSION["user_vorname"] = $data["Vorname"]; 
  $_SESSION["user_email"] = $data["Email"];
  $_SESSION["user_avatar"] = $data["Avatar"];
  $_SESSION["user_novlogin"] = $data["NovLogin"];
  $_SESSION["user_novpass"] = $data["NovPass"];
  mysql_close();
  header ("Location: ".$moduleurl."&uebergabe=0"); 
} 
else 
{ 
	mysql_close();
    echo "Fehler beim Anlegen der Benutzer.<br>\n"; 
} 
?> 
